Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class XtpServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.QServlet
                  |
                  +--com.caucho.jsp.XtpServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class XtpServlet
extends com.caucho.jsp.QServlet

Handles JSP pages. Most of the work is done in the JspManager and QServlet.

See Also:
  `JspManager`, Serialized Form

Field Summary
`protected CauchoApplication` | `application`

Constructor Summary
`XtpServlet()`

Method Summary
`void` | `destroy()` Called when the servlet (and the application) shuts down.
`ServletContext` | `getServletContext()` Override the Servlet method to return the generated application.
`java.lang.String` | `getServletInfo()` Returns a string describing the servlet.
`void` | `init(ServletConfig conf)` Initializes the servlet.
`void` | `service(ServletRequest req, ServletResponse res)` The service method gets the JSP/XTP page and executes it.
`protected void` | `setManager(PageManager manager)` JspServlet and XtpServlet will set the PageManager with this method.

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### application

    protected CauchoApplication application

Constructor Detail

### XtpServlet

    public XtpServlet()

Method Detail

### init

    public void init(ServletConfig conf)
              throws ServletException

  Initializes the servlet. Primarily, this sets the PageManager to the correct XtpManager.

  The servlet parameter 'strict-xsl' forces XSL stylesheets to follow the strict specification. By default, XSL stylesheets follow the looser 'XSLT-lite.'

  The servlet parameter 'strict-xml' forces XTP pages to follow strict XML. By default, they're LooseHtml.

  Overrides:
    `init` in class `com.caucho.jsp.QServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `config` - the servlet's configuration

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: `GenericServlet`
  Returns a string describing the servlet.
  Overrides:
    `getServletInfo` in class `GenericServlet`

### setManager

    protected void setManager(PageManager manager)

  JspServlet and XtpServlet will set the PageManager with this method.

### getServletContext

    public ServletContext getServletContext()

  Override the Servlet method to return the generated application.
  Overrides:
    `getServletContext` in class `GenericServlet`

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        java.io.IOException

  The service method gets the JSP/XTP page and executes it. The request and response objects are converted to Caucho objects so other servlet runners will produce the same results as the Caucho servlet runner.
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `req` - request information. Normally servlets will cast this to `HttpServletRequest`
    `res` - response information. Normally servlets will cast this to `HttpServletRequest`

### destroy

    public void destroy()

  Description copied from class: `GenericServlet`
  Called when the servlet (and the application) shuts down.
  Overrides:
    `destroy` in class `GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD